Bug 441640 - RHEL 5.1 will incorrectly mark SCSI devices as offline due to improper error handling
RHEL 5.1 will incorrectly mark SCSI devices as offline due to improper error ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 05:44 EDT by Ian Campbell
Modified: 2009-01-20 15:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Campbell 2008-04-09 05:44:37 EDT
In RHEL 5.1 and the RHEL 5.2 beta if a check condition status is received by the
Linux SCSI stack and it goes into error recovery mode, the resulting sense data
response is handled improperly and will cause the device to be marked offline.
This can occur when SCSI devices are loaded early in the boot process and are
not yet fully able to process a SCSI inquiry command. In RHEL 5.0 this case was
handled properly, but in RHEL 5.1 the response buffer is copied incorrectly
causing a bus reset and the device to be marked offline.

The issue has been confirmed fixed by
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=8cc574a3c5cea70229f243a6b57fd69e60491d82
with the standard RHEL 5.1 2.6.18-53 source RPM.
Comment 1 RHEL Product and Program Management 2008-06-14 14:08:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-09-11 15:42:34 EDT
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2009-01-20 15:21:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.